This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 729382 - (CVE-2011-2748, CVE-2011-2749) CVE-2011-2748 CVE-2011-2749 dhcp: denial of service flaws
CVE-2011-2748 CVE-2011-2749 dhcp: denial of service flaws
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110810,reported=20110809,sou...
: Security
Depends On: 729850 729879 729880 729881 729883 729885
Blocks: 729388
  Show dependency treegraph
 
Reported: 2011-08-09 14:00 EDT by Vincent Danen
Modified: 2012-04-17 07:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-17 07:20:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
upstream 3.1-ESV-R1 -> 3.1-ESV-R3 patch (3.94 KB, patch)
2011-08-10 13:20 EDT, Vincent Danen
no flags Details | Diff
patch for dhcp-3.0.5 (RHEL-5) (4.68 KB, patch)
2011-08-10 13:41 EDT, Jiri Popelka
no flags Details | Diff
patch for dhcp-4.1.1-P1 (RHEL-6) (2.74 KB, patch)
2011-08-10 14:15 EDT, Jiri Popelka
no flags Details | Diff
Patch for dhcp-3.0.1 (RHEL-4) (4.31 KB, patch)
2011-08-11 02:36 EDT, Jiri Popelka
no flags Details | Diff

  None (edit)
Description Vincent Danen 2011-08-09 14:00:50 EDT
Two flaws were found that could be used to cause the ISC DHCP server to halt when processing certain packets [1]. These could be used by an attacker to cause a denial of service for DHCP services.

These flaws are corrected in upstream versions 3.1-ESV-R3, 4.1-ESV-R3 and 4.2.2.

[1] http://www.isc.org/software/dhcp/advisories/cve-2011-2748
Comment 2 Vincent Danen 2011-08-10 13:11:42 EDT
This is now public.
Comment 3 Vincent Danen 2011-08-10 13:20:27 EDT
Created attachment 517663 [details]
upstream 3.1-ESV-R1 -> 3.1-ESV-R3 patch

Extracted patch from diffing R1 to R3 and removing all the extraneous copyright/CVS Id/non-code changes, so it should fix both flaws in 3.x versions of dhcp.
Comment 4 Jiri Popelka 2011-08-10 13:41:04 EDT
Created attachment 517665 [details]
patch for dhcp-3.0.5 (RHEL-5)

(In reply to comment #3)
> Created attachment 517663 [details]
> upstream 3.1-ESV-R1 -> 3.1-ESV-R3 patch

Backported to 3.0.5 (RHEL-5)
Comment 5 Jiri Popelka 2011-08-10 14:15:27 EDT
Created attachment 517670 [details]
patch for dhcp-4.1.1-P1 (RHEL-6)

From diffing dhcp-4.1-ESV-R3b1 and dhcp-4.1-ESV-R3.
Comment 7 Huzaifa S. Sidhpurwala 2011-08-10 23:06:09 EDT
Created dhcp tracking bugs for this issue

Affects: fedora-all [bug 729850]
Comment 8 Huzaifa S. Sidhpurwala 2011-08-10 23:07:03 EDT
Created dhcp tracking bugs for this issue

Affects: fedora-all [bug 729850]
Comment 9 Jiri Popelka 2011-08-11 02:36:32 EDT
Created attachment 517740 [details]
Patch for dhcp-3.0.1 (RHEL-4)
Comment 11 errata-xmlrpc 2011-08-15 13:38:45 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 4

Via RHSA-2011:1160 https://rhn.redhat.com/errata/RHSA-2011-1160.html

Note You need to log in before you can comment on or make changes to this bug.